routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', function () {
    return view('Welcome');
});


Route::get('/home', 'HomeController@index')->name('home');
//Admin Panel login 
Route::group(['middleware' => ['auth','admin']],function(){
    Route::get('/admin', function () {
        return view('Layout.dashboard');
    });
    
    //Employees Route and View
         Route::get('/create',function(){
            return view('Employees.create');
        });
        Route::get('/employees',function(){
        return view('Employees.employees');
        });
        
        Route::get('/addplot',function(){
            return view ('Plots.create');
         });
         Route::get('/plot',function(){
            return view ('Plots.index');
         });
         Route::get('/search','EmployeesController@search');
});
//Employee Resource Controller
Route::resource('employees','EmployeesController');
Route::resource('plot','PlotController');

Auth::routes(['verify' => true]);

app/Employees.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Employees extends Model
{
    protected $fillable=[
        'name','email','address','contact','cnic','designation','image',
    ];
}

app/Http/Controllers/EmployeesController.php
<?php

namespace App\Http\Controllers;

use App\Employees;
use Illuminate\Http\Request;
use Redirect;
use DB;

class EmployeesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $employees = Employees::all();
        return view('Employees.employees',['employees' => $employees]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view ('Employees.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $employees=new Employees();
        $request->validate([
        'name' => 'required',
        'email' => 'required',
        'contact' => 'required',
        'address' => 'required',
        'cnic' => 'required',
        'designation' => 'required',
        'image' => 'required',
    ]);
    
    $employees->name =$request->input('name');
    $employees->email =$request->input('email');
    $employees->contact =$request->input('contact');
    $employees->address =$request->input('address');
    $employees->cnic =$request->input('cnic');
    $employees->designation =$request->input('designation');

    if($request->hasfile('image')){
        $file = $request->file('image');
        $extension = $file->getClientOriginalExtension();
        $filename = time(). '.'  .$extension;
        $file->move('picture/',$filename);
        $employees->image=$filename;
     }
    else{
        return $request;
        $employees->image='';
  }
  $employees->save();
    return Redirect::to('/employees')
   ->with('success','Greate! Data created successfully.',$employees);

    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Employees  $employees
     * @return \Illuminate\Http\Response
     */
    public function show(Employees $employees)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Employees  $employees
     * @return \Illuminate\Http\Response
     */
    public function edit(Request $request ,$id)
    {
           $where = array('id' => $id);
           $data['employee'] = Employees::where($where)->first();
           return view('Employees.edit', $data);
        // $employee = Employees::findOrFail($id);

        // return view('Employees.edit', compact('employee'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Employees  $employees
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id, Employees $employees)
    {
        $employees=new Employees();
        $request->validate([
        'name' => 'required',
        'email' => 'required',
        'contact' => 'required',
        'address' => 'required',
        'cnic' => 'required',
        'designation' => 'required',
        'image' => 'required',
    ]);
    
    $employees->name =$request->input('name');
    $employees->email =$request->input('email');
    $employees->contact =$request->input('contact');
    $employees->address =$request->input('address');
    $employees->cnic =$request->input('cnic');
    $employees->designation =$request->input('designation');

    if($request->hasfile('image')){
        $file = $request->file('image');
        $extension = $file->getClientOriginalExtension();
        $filename = time(). '.'  .$extension;
        $file->move('picture/',$filename);
        $employees->image=$filename;
     }
    else{
        return $request;
        $employees->image='';
  }
  $employees->save();
    return Redirect::to('/employees')
   ->with('success','Greate! Employee Data updated successfully.',$employees);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Employees  $employees
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Employees::where('id',$id)->delete();
        return Redirect::to('employees')->with('danger','Employees Data deleted successfully');
    }
}

resources/views/Employees/create.blade.php
@extends('master')
@section('main-content')
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">Add Employees</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item">Add Employees</li>
            </ol>
          </div>
        </div>
      </div>
    </div>
  
<section class="content">

<div class="form-group ">
<form action="{{route('employees.store')}}" method="POST"  enctype="multipart/form-data">
{{csrf_field()}}
<div class="row">
<div class="col-md-5">
  <label class="control-label">
   Name
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="name" name="name" type="text" placeholder="Your name"/>
   <span class="text-danger">{{ $errors->first('name') }}</span>
  </div>
</div>
<div class="col-md-5">
  <label class="control-label">
   Email
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="email" name="email" type="text" placeholder="Your Email"/>
   <span class="text-danger">{{ $errors->first('email') }}</span>
  </div>
  </div>
 </div> 
 <div class="col-md-10">
  <label class="control-label">
   Address
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="address" name="address" type="text" placeholder="Your Address"/>
   <span class="text-danger">{{ $errors->first('address') }}</span>
  </div>
  <div class="row">
  <div class="col-md-5">
  <label class="control-label">
   Contact
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="contact" name="contact" type="text" placeholder="Your Contact"/>
   <span class="text-danger">{{ $errors->first('contact') }}</span>
  </div>
  </div>
  <div class="col-md-5">
  <label class="control-label">
   CNIC
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="cnic" name="cnic" type="text" placeholder="35202-1000000-2"/>
   <span class="text-danger">{{ $errors->first('cnic')}}</span>
  </div>
  </div>
  </div>
  <div class="row">
  <div class="col-md-5">
  <br>
  <div class="form-group">
    <label for="exampleFormControlSelect1">Designation</label>
    <select class="form-control" id="exampleFormControlSelect1" name="designation">
    <span class="text-danger">{{ $errors->first('designation')}}</span>
      <option value="supervisor">Supervisor</option>
      <option value="manager">Manager</option>
      <option value="operator">Operator</option>
      <option value="engineer">Engineer</option>
      <option value="HR">HR</option>
    </select>
  </div>
  </div>
  </div>
  <label class="control-label">Upload Photo</label>
  <br>
  <input type="file" name="image" id="image">
  <span class="text-danger">{{ $errors->first('image') }}</span>
    <div class="col-md-5">
    <br>
      <button type="submit" class="btn btn-success">Save</button>
    </div>
  </div>
  </form>
 </div>
 </section>
@endsection

resources/views/Employees/edit.blade.php
@extends('master')
@section('main-content')
<div class="content-wrapper">
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">Edit Employees</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item">Edit Employees</li>
            </ol>
          </div>
        </div>
      </div>
    </div>
  
<section class="content">
<div class="form-group ">
<form action="{{route('employees.update' , $employee->id)}}" method="post" enctype="multipart/form-data">
{{ csrf_field() }}
@method('PATCH')
<div class="row">
<div class="col-md-5">
  <label class="control-label">
   Name
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="name" name="name" value="{{$employee->name}}" type="text" placeholder="Your name"/>
   <span class="text-danger">{{ $errors->first('name') }}</span>
  </div>
</div>
<div class="col-md-5">
  <label class="control-label">
   Email
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="email" name="email" value="{{$employee->email}}" type="text" placeholder="Your Email"/>
   <span class="text-danger">{{ $errors->first('email') }}</span>
  </div>
  </div>
 </div> 
 <div class="col-md-10">
  <label class="control-label">
   Address
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="address" name="address" value="{{$employee->address}}" type="text" placeholder="Your Address"/>
   <span class="text-danger">{{ $errors->first('address') }}</span>
  </div>
  <div class="row">
  <div class="col-md-5">
  <label class="control-label">
   Contact
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="contact" name="contact" value="{{$employee->contact}}" type="text" placeholder="Your Contact"/>
   <span class="text-danger">{{ $errors->first('contact') }}</span>
  </div>
  </div>
  <div class="col-md-5">
  <label class="control-label">
   CNIC
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="cnic" name="cnic" type="text" value="{{$employee->cnic}}" placeholder="35202-1000000-2"/>
   <span class="text-danger">{{ $errors->first('cnic')}}</span>
  </div>
  </div>
  </div>
  <div class="row">
  <div class="col-md-5">
  <br>
  <div class="form-group">
    <label for="exampleFormControlSelect1">Designation</label>
    <select class="form-control" id="exampleFormControlSelect1" name="designation">
    <span class="text-danger">{{ $errors->first('designation') }}</span>
      <option  value="supervisor">{{$employee->designation}}</option>
      <option  value="manager">{{$employee->designation}}</option>
      <option  value="operator">{{$employee->designation}}</option>
      <option  value="engineer">{{$employee->designation}}</option>
      <option  value="HR">{{$employee->designation}}</option>
    </select>
  </div>
  </div>
  </div>
  <label class="control-label">Upload Photo</label>
  <br>
  <input type="file" name="image" value="{{$employee->image}}" id="image">
  <!-- <img src="{{asset('picture/' .$employee->image)}}" class="thumbnail" width="50"> -->
  <span class="text-danger">{{ $errors->first('image') }}</span>
    <div class="col-md-5">
    <br>
      <button type="submit" class="btn btn-success">Update</button>
    </div>
  </div>
  </form>
 </div>
 </section>
@endsection

resources/views/Employees/employees.blade.php
@extends('master')
@section('main-content')

<div class="content-wrapper">
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">Employees Data</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item">Employees Data</li>
            </ol>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
    <div class="col-md-12">
@if(session()->get('success'))
 <div class="alert alert-success">
 {{session()->get('success')}}
 @endif
 @if(session()->get('danger'))
 <div class="alert alert-danger">
 {{session()->get('danger')}}
 @endif
    </div>
</div>
<section class="content">
<div class="container-fluid">
<div class="row">
    <table class="table table-bordered">
  <thead class="thead-dark">
    <tr>
      <th scope="col">ID</th>
      <th scope="col">Name</th>
      <th scope="col">Email</th>
      <th scope="col">Contact</th>
      <th scope="col">Address</th>
      <th scope="col">CNIC</th>
      <th scope="col">Designation</th>
      <th scope="col">Image</th>
      <th colspan="2">Action</th>
    </tr>
  </thead>
  <tbody>

  @foreach($employees as $key => $employee)
              <tr>
                 <td>{{ $key+1 }}</td>
                 <td>{{ $employee->name }}</td>
                 <td>{{ $employee->email }}</td>
                 <td>{{ $employee->contact }}</td>
                 <td>{{ $employee->address }}</td>
                 <td>{{ $employee->cnic }}</td>
                 <td>{{ $employee->designation }}</td>
                 <td><img src="{{asset('picture/' .$employee->image)}}" class="thumbnail" width="50"></td>
                 <td><a href="{{ route('employees.edit',$employee->id)}}" class="btn btn-success">Edit</a></td>
                 <td>
                 <form action="{{ route('employees.destroy', $employee->id)}}" method="post">
                 {{ csrf_field() }}
                  @method('DELETE')
                  <button class="btn btn-danger" type="submit">Delete</button>
                </form>
                </td>
              </tr>
              @endforeach
    </tbody>
    </table>
   </div>
   </div>
   </section>
 @endsection
  